Subject: Re: [PATCH 01/10] smc91x: remove unused code enclosed by #ifdef CONFIG_ISA .. #endif

From: Jeff Garzik <[email-masked]>
Date: Fri, 27 Jun 2008 02:31:40 -0400

Eric Miao wrote:
> Jeff Garzik wrote:
>> Eric Miao wrote:
>>> Apparently, the code enclosed by #ifdef CONFIG_ISA .. #endif are no
>>> longer
>>> used
>> What does this mean?
>>
>> CONFIG_ISA platforms still exist, and one presumes that the ISA hardware
>> still exists.
>>
>> Is this hardware covered by another driver?
>>
> 
> Well, I assume the original code tends to support ISA with module
> parameters to setup the IO address base and IRQ etc. But obviously,
> those part of the code is now totally invalid and confusing only.
> 
> Should there be requirement of supporting ISA hardware with this
> chip, the driver is actually unable to, and I prefer to re-write
> that part of the code if necessary.
> 
> BTW: I don't know any ISA NIC with a SMC91X chip by far, and I
> cannot infer by the driver code itself what type of ISA NIC it
> is supporting.

These are questions that must be researched...

Where did the ISA support come from?

Was it copied from another driver, or did it actually work on real 
hardware at some point in the past?

If the latter, when did ISA support stop working?  i.e. a regression 
occurred

Certainly if the driver has -never- worked on ISA hardware, then the 
code should be removed.  Who knows the definitive answer?  What does the 
driver look like in older (pre-2.6.12) kernels?

	Jeff